
package de.ivu.elect.presentation.person.table;

import static java.util.Objects.nonNull;

import de.ivu.elect.business.gebietsbaum.entity.GebietConstants;
import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class PersonendatenGebietNameColumn<E extends Personendaten> extends AbstractPersonendatenColumn<E> {

  private static final long serialVersionUID = 1L;

  public PersonendatenGebietNameColumn(Messages messages) {
    super("Personendaten-GebietName", messages, GebietConstants.MESSAGE_KEY_ENTITY_EINZAHL, ColumnType.STRING, personendaten -> {
      if (nonNull(personendaten) && personendaten.hasGebiet()) {
        return personendaten.getGebiet().getName();
      }

      return "";
    });
  }
}
